Mailing List Archive

new vdr-plugin-2.eclass needs review
Hallo Gentoo-dev ML,

some major changes in media-video/vdr-1.7.27:overlay vdr-devel
needs some rewrite in the vdr-plugin.eclass

History:
- <vdr-1.5.7 has only i18n for language handling
- >=vdr-1.5.7 has convertet to gettext for language handling,
i18n handling still available, but marked as deprecated
- >=vdr-1.7.27 only gettext handling, i18n obsolet

most plugin developer has converted the plugins to use gettext
language handling, but for backwards compatibility to <vdr-1.5.7
i18n language handling is still included
on >=vdr-1.7.27 the plugins with obsolet i18n language handling
will failed on compile
this needs a major rewrite in some parts of the vdr-plugin.eclass

attached:
vdr-plugin-2.eclass
diff for vdr-plugin.eclass vdr-plugin-2.eclass

vdr-plugin-2.eclass is still supporting the latest media-video/vdr
and his plugins in portage
vdr-plugin-2.eclass is reduced to support only eapi=4
vdr-plugin-2.eclass supports now also LINGUAS=

Please review....

Best Regards

Joerg

--
Gentoo Developer
mailto: hd_brummy@gentoo.org
http://www.gentoo.org/
Re: new vdr-plugin-2.eclass needs review [ In reply to ]
Guten Tag Joerg Bornkessel,

am Mittwoch, 25. April 2012 um 22:35 schrieben Sie:

> Hallo Gentoo-dev ML,

> some major changes in media-video/vdr-1.7.27:overlay vdr-devel
> needs some rewrite in the vdr-plugin.eclass


> Please review....

after 5 days, no reply
found a small typo in a test; fixed
added vdr-plugin-2.eclass to portage eclass/

Cheers

/bin/joerg


--
Mit freundlichen Grüßen
Joerg Bornkessel
mailto:hd_brummy@gentoo.org